Subject: corrupt filesystem superblock

From: [email-masked]
Date: Mon, 9 Sep 96 20:27 EDT

My laptop doesn't boot Linux on hda3 anymore. I just installed a new system
by overwriting the swap partition on hda2. My first attempt of running e2fsck
gives:

	The filesystem superblock is corrupt. Try running e2fsck with an
	alternate superblock using the -b option. (8193 is commonly as
	alternate superblock; Henc 'e2fsck -b 8193 <device>' may recover
	the filesystem.)

I tried this, but it didn't work either. Any help as to what I might do now
would be welcomed. The partition table is as follows (in sectors)

	# Type    First    Last   Offset  Length  Filesystem   Type   Flags
	1 Primary      0   131039     63  131040  Dos 16bit    06     None
	2 Primary 131040   180431      0   49392  Linux (83)          Boot
	3 Primary 180432  1032191      0  851760  Linux (83)          None

and was created by the Debian install disks around February or March.

Thanks in advance, Dirk

-- 
Dirk Eddelb"uttel                             http://qed.econ.queensu.ca/~edd